Bug 1868764 - SeaMonkey Web Browser icon on LXQt Quick Launch bar is smaller than the rest of the icons
Summary: SeaMonkey Web Browser icon on LXQt Quick Launch bar is smaller than the rest ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: seamonkey
Version: 32
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-13 18:38 UTC by Edward
Modified: 2020-12-01 01:17 UTC (History)
4 users (show)

Fixed In Version: seamonkey-2.53.5-2.fc33 seamonkey-2.53.5-2.fc32 seamonkey-2.53.5-2.el8 seamonkey-2.53.5-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-17 01:35:36 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of the LXQt Quick Launch bar showing the different icon size for SeaMonkey Web Browser. (9.84 KB, image/png)
2020-08-13 18:38 UTC, Edward
no flags Details
Screenshot showing LXQt Quick Launch bar with Icon Size set to 24 px. (9.66 KB, image/png)
2020-08-13 20:04 UTC, Edward
no flags Details

Description Edward 2020-08-13 18:38:49 UTC
Created attachment 1711359 [details]
Screenshot of the LXQt Quick Launch bar showing the different icon size for SeaMonkey Web Browser.

Description of problem:

Added SeaMonkey Web Browser and SeaMonkey Mail launchers to the LXQt Quick Launch bar and the icon for SeaMonkey Web Browser is smaller than the rest of the icons. 

The SeaMonkey Mail icon, as well as the others displayed in the attached screenshot, are of the correct size. 

Version-Release number of selected component (if applicable):

2.53.3


Additional info:

Please see attached screenshot. The two SeaMonkey icons are at the far right.

Do not know if this is a SeaMonkey or LXQt issue, but noticed the same with previous SeaMonkey versions.

Comment 1 Dmitry Butskoy 2020-08-13 19:35:24 UTC
The whole list of SeaMonkey icons is:

/usr/share/icons/hicolor/16x16/apps/seamonkey-mail.png
/usr/share/icons/hicolor/16x16/apps/seamonkey.png
/usr/share/icons/hicolor/32x32/apps/seamonkey-mail.png
/usr/share/icons/hicolor/32x32/apps/seamonkey.png
/usr/share/icons/hicolor/48x48/apps/seamonkey-mail.png
/usr/share/icons/hicolor/48x48/apps/seamonkey.png
/usr/share/icons/hicolor/64x64/apps/seamonkey.png
/usr/share/icons/hicolor/128x128/apps/seamonkey.png
/usr/share/icons/hicolor/scalable/apps/seamonkey-mail.svg

Probably the case you described might be related seamonkey-mail has an svg icon. In some combination of dpi and height of the bar, it might be possible that the svg icon is chosen (and provides the right size), but for browser there are "fixed size" png icons only.

Could you try to change the height of the bar (if it is possible) just to see what happens then?

Comment 2 Edward 2020-08-13 20:04:35 UTC
Created attachment 1711385 [details]
Screenshot showing LXQt Quick Launch bar with Icon Size set to 24 px.

Comment 3 Edward 2020-08-13 20:07:15 UTC
Thank you for the reply. 

Changing the Size (height) of the bar (default: 32 px) had no effect. The Icon Size default was 22 px. Changing this to 23 also had no effect, but when changed to 24 (in the new screenshot attached), the icon then enlarged to match the size of the others.

Comment 4 Dmitry Butskoy 2020-08-13 21:17:42 UTC
Well, since there is no 22 px icon, it seems that 16 px was chosen.
For 24 px (no such icon as well) probably something can be scaled (from 48 px).

For seamonkey-mail there is scalable svg icon, suitable for all the sizes.

Unfortunately, an icon for the browser in svg format is not provided :( .

Comment 5 Dmitry Butskoy 2020-11-12 23:25:15 UTC
After a long "archaeological" search on the other side of the planet, a lost icon source in svg format was found in some backups, and through "pigeon mail" it eventually got to the developers. :)

Should be present in upcoming 2.53.5 .

Comment 6 Fedora Update System 2020-11-12 23:56:10 UTC
FEDORA-2020-d8cbae43e3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8cbae43e3

Comment 7 Fedora Update System 2020-11-12 23:56:56 UTC
FEDORA-2020-732ef7f32e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-732ef7f32e

Comment 8 Fedora Update System 2020-11-12 23:58:55 UTC
FEDORA-EPEL-2020-d5ec691317 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d5ec691317

Comment 9 Fedora Update System 2020-11-12 23:59:30 UTC
FEDORA-EPEL-2020-b583975226 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b583975226

Comment 10 Fedora Update System 2020-11-13 01:47:57 UTC
FEDORA-2020-732ef7f32e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-732ef7f32e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-732ef7f32e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-11-13 02:16:34 UTC
FEDORA-2020-d8cbae43e3 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d8cbae43e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d8cbae43e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-11-13 02:16:48 UTC
FEDORA-EPEL-2020-d5ec691317 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d5ec691317

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-11-13 02:29:22 UTC
FEDORA-EPEL-2020-b583975226 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b583975226

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-15 02:13:19 UTC
FEDORA-2020-396a3dfb1f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-396a3dfb1f

Comment 15 Fedora Update System 2020-11-16 00:43:22 UTC
FEDORA-EPEL-2020-b3000c1eea has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b3000c1eea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-11-16 01:03:36 UTC
FEDORA-EPEL-2020-46fc6c7982 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-46fc6c7982

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-11-16 01:49:46 UTC
FEDORA-2020-396a3dfb1f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-396a3dfb1f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-396a3dfb1f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-11-16 02:05:21 UTC
FEDORA-2020-68ef4b6bc5 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-68ef4b6bc5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-68ef4b6bc5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-11-17 01:35:36 UTC
FEDORA-2020-68ef4b6bc5 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-11-20 01:26:43 UTC
FEDORA-2020-396a3dfb1f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-12-01 00:29:49 UTC
FEDORA-EPEL-2020-b3000c1eea has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-12-01 01:17:33 UTC
FEDORA-EPEL-2020-46fc6c7982 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.